SoundMAX AD1988B- no digital audio

Bug #213206 reported by Robert E. Walsh on 2008-04-07
50
This bug affects 6 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Medium
Unassigned
linux (Ubuntu)
Medium
Ubuntu Audio Team

Bug Description

Device: SoundMAX® ADI AD1988B 8-channel CODEC

Works in analog mode but not digital (PCM mode). This worked in prior releases.

Release: Linux M2N-SLI 2.6.24-15-generic #1 SMP Fri Apr 4 03:10:59 UTC 2008 x86_64 GNU/Linux
Ubuntu 8.04 - the Hardy Heron - released in April 2008

00:06.1 Audio device [0403]: nVidia Corporation MCP55 High Definition Audio [10de:0371] (rev a2)
 Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81f6]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0 (500ns min, 1250ns max)
 Interrupt: pin B routed to IRQ 20
 Region 0: Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: [44] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Queue=0/0 Enable-
  Address: 0000000000000000 Data: 0000
  Masking: 00000000 Pending: 00000000
 Capabilities: [6c] HyperTransport: MSI Mapping

 dpkg -s linux-ubuntu-modules-$(uname -r)
Package: linux-ubuntu-modules-2.6.24-15-generic
Status: install ok installed
Priority: optional
Section: base
Installed-Size: 17316
Maintainer: Ubuntu Kernel Team <email address hidden>
Architecture: amd64
Source: linux-ubuntu-modules-2.6.24
Version: 2.6.24-15.20
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-15-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on x86/x86_64.

Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this bug as a bug in linux the kernel for Hardy Heron.

How about: alsa-base package?

On Mon, 2008-04-07 at 14:00 +0000, Brian Murray wrote:
> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. This bug did not have a package associated with it,
> which is important for ensuring that it gets looked at by the proper
> developers. You can learn more about finding the right package at
> https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this
> bug as a bug in linux the kernel for Hardy Heron.
>
> ** Changed in: linux (Ubuntu)
> Sourcepackagename: None => linux
>

Julien Aubin (gojulgarbmail) wrote :

Here the same applies, probably alsa-base actually.

Same motherboard.

Hardware :
AthlonX2 3600+
M2N-SLI Deluxe mainboard
2GB RAM
Graphic card : GeForce7900GS.

The problem can be reproduced both with my old Gutsy kernel, which is 2.6.22-14, and my current kernel, which is 2.6.24-16. So the issue does not come from the kernel.

My uname -a :
Linux pcathlon64 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux

Attached result of my lspci --vvnn command.

Julien Aubin (gojulgarbmail) wrote :
Download full text (43.8 KiB)

Additional info about the issue, which is pretty critical since the M2N-SLI mainboard is quite widespread among Linux users and because the issue may actually impact other users.

I applied all the commands given in the technote https://wiki.ubuntu.com/DebuggingSoundProblems, except my lspci -vvnn which is already attached to this ticket.

The card seems to be correctly detected, but I can't get any sound from it. When using a Gutsy live CD for example, sound works well.

julien@pcathlon64:~$ aplay --list-devices
**** Liste des PLAYBACK périphériques ****
carte 0: NVidia [HDA NVidia], périphérique 0 : AD198x Analog [AD198x Analog]
  Sous-périphériques: 1/1
  Sous-périphérique: #0: subdevice #0
carte 0: NVidia [HDA NVidia], périphérique 1 : AD198x Digital [AD198x Digital]
  Sous-périphériques: 1/1
  Sous-périphérique: #0: subdevice #0

julien@pcathlon64:~$ tail -2 /proc/asound/oss/sndstat
Mixers:
0: Analog Devices AD1988B

julien@pcathlon64:~$ amixer
Simple mixer control 'Master',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 39
  Mono: Playback 33 [85%] [-9.00dB] [on]
Simple mixer control 'Headphone',0
  Capabilities: pswitch
  Playback channels: Front Left - Front Right
  Mono:
  Front Left: Playback [on]
  Front Right: Playback [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 111 [44%] [-28.80dB]
  Front Right: Playback 111 [44%] [-28.80dB]
Simple mixer control 'Front',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 39
  Mono:
  Front Left: Playback 0 [0%] [-58.50dB] [off]
  Front Right: Playback 0 [0%] [-58.50dB] [off]
Simple mixer control 'Front Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [on]
  Front Right: Playback 0 [0%] [-34.50dB] [on]
Simple mixer control 'Front Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 3 [100%]
  Front Right: 3 [100%]
Simple mixer control 'Surround',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 39
  Mono:
  Front Left: Playback 0 [0%] [-58.50dB] [on]
  Front Right: Playback 0 [0%] [-58.50dB] [on]
Simple mixer control 'Center',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 39
  Mono: Playback 0 [0%] [-58.50dB] [off]
Simple mixer control 'LFE',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 39
  Mono: Playback 0 [0%] [-58.50dB] [off]
Simple mixer control 'Side',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 39
  Mono:
  Front Left: Playback 0 [0%] [-58.50dB] [off]
  Front Right: Playback 0 [0%] [-58.50dB] [off]
Simple mixer control 'Line',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  L...

Julien Aubin (gojulgarbmail) wrote :

Additional information :
I do not have any ~/.asoundrc nor /etc/asound.conf file.

Julien Aubin (gojulgarbmail) wrote :

Some more additional info :
- I restarted my computer with a Gutsy liveCD where sound works. Attached a copy of my /proc/asound.
- Attached a copy of my /proc/asound under Hardy, so that you can make diffs.

The main difference I see is that the IRQ assigned to the sound card has changed between Gutsy and Hardy.

The content under /dev/snd is also not the same between Gutsy and Hardy.

Under Gutsy :
total 0
crw-rw---- 1 root audio 116, 8 2008-04-13 12:36 controlC0
crw-rw---- 1 root audio 116, 7 2008-04-13 12:36 pcmC0D0c
crw-rw---- 1 root audio 116, 6 2008-04-13 12:36 pcmC0D0p
crw-rw---- 1 root audio 116, 5 2008-04-13 12:36 pcmC0D1c
crw-rw---- 1 root audio 116, 4 2008-04-13 12:36 pcmC0D1p
crw-rw---- 1 root audio 116, 3 2008-04-13 12:36 seq
crw-rw---- 1 root audio 116, 2 2008-04-13 12:36 timer

Under Hardy :
total 0
crw-rw----+ 1 root audio 116, 0 2008-04-13 12:51 controlC0
crw-rw----+ 1 root audio 116, 4 2008-04-13 12:51 hwC0D0
crw-rw----+ 1 root audio 116, 24 2008-04-13 12:51 pcmC0D0c
crw-rw----+ 1 root audio 116, 16 2008-04-13 12:58 pcmC0D0p
crw-rw----+ 1 root audio 116, 25 2008-04-13 12:51 pcmC0D1c
crw-rw----+ 1 root audio 116, 17 2008-04-13 12:51 pcmC0D1p
crw-rw----+ 1 root audio 116, 1 2008-04-13 12:51 seq
crw-rw----+ 1 root audio 116, 33 2008-04-13 12:51 timer

We can see that the device hwC0D0 has been added.

Julien Aubin (gojulgarbmail) wrote :
Julien Aubin (gojulgarbmail) wrote :

Confirmed since it is repooducable on different computers.

Seems to impact alsa driver since when booting on a Gutsy kernel on Hardy the issue also occurs.

Changed in linux:
status: New → Confirmed
Julien Aubin (gojulgarbmail) wrote :

Sound works again after running the following command :
sudo /etc/init.d/alsa-utils reset

Robert E. Walsh (robtwalsh286) wrote :

I also ran this command to reset alsa.
It had no effect.

On Sun, 2008-04-13 at 12:57 +0000, Julien Aubin wrote:
> Sound works again after running the following command :
> sudo /etc/init.d/alsa-utils reset
>

Changed in alsa-driver:
importance: Undecided → Medium
status: Confirmed → Triaged
Robert E. Walsh (robtwalsh286) wrote :

The following message really doesn't tell me anything.
What does "undecided: medium" mean?
What does "triaged" mean?

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Brian Murray
Sent: Monday, April 14, 2008 12:54 PM
To: <email address hidden>
Subject: [Bug 213206] Re: SoundMAX AD1988B- no digital audio

** Changed in: alsa-driver (Ubuntu)
   Importance: Undecided => Medium
       Status: Confirmed => Triaged

--
SoundMAX AD1988B- no digital audio
https://bugs.launchpad.net/bugs/213206
You received this bug notification because you are a direct subscriber
of the bug.

Status in Source Package "alsa-driver" in Ubuntu: Triaged

Bug description:
Device: SoundMAXR ADI AD1988B 8-channel CODEC

Works in analog mode but not digital (PCM mode). This worked in prior
releases.

Release: Linux M2N-SLI 2.6.24-15-generic #1 SMP Fri Apr 4 03:10:59 UTC 2008
x86_64 GNU/Linux
Ubuntu 8.04 - the Hardy Heron - released in April 2008

00:06.1 Audio device [0403]: nVidia Corporation MCP55 High Definition Audio
[10de:0371] (rev a2)
 Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81f6]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
 Latency: 0 (500ns min, 1250ns max)
 Interrupt: pin B routed to IRQ 20
 Region 0: Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: [44] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+
Queue=0/0 Enable-
  Address: 0000000000000000 Data: 0000
  Masking: 00000000 Pending: 00000000
 Capabilities: [6c] HyperTransport: MSI Mapping

 dpkg -s linux-ubuntu-modules-$(uname -r)
Package: linux-ubuntu-modules-2.6.24-15-generic
Status: install ok installed
Priority: optional
Section: base
Installed-Size: 17316
Maintainer: Ubuntu Kernel Team <email address hidden>
Architecture: amd64
Source: linux-ubuntu-modules-2.6.24
Version: 2.6.24-15.20
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-15-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
x86/x86_64.

Robert E. Walsh (robtwalsh286) wrote :

Attached is the full list of ALSA information of my system.
I've updated ALSA utilities and loaded the latest packages.

Nothing seems to work. There is still no digital sound from this
device. Analogous sound works.

This same platform works fully in Windows 2003 Server including ALL
audio.

There are numerous reports of this problem in various Linux
derivatives posted on the Internet.

I'm having the same problem. I'm attaching the output of lspci -vvnn

$ uname -a
Linux aaron 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux

I have the ASUS M2N32-SLI board.

I recently needed to boot to the live DVD, and my sound worked there (although it seemed a little quiet). Any idea why that would be?

Julien Aubin (gojulgarbmail) wrote :

Try to play with the sound levels, especially the front levels.

That's only on the live disk. I can't get anything from my install.

Adrian Roman (adyroman5) wrote :

I have the same issue on a system with an Asus M2N-SLI Deluxe motherboard. Any idea on when this may be fixed? Or any workarounds?

Thanks.
Adrian

Alex Whiteside (awhiteside23) wrote :

I have the same issue using my ASUS P5K-E-WIFI. with a AD1988B, No coax sound, Only Direct...

Ansus (neptunia) wrote :

I have Sound MAX AD1988A in Asus P5B-Plus - no sound either.

Ansus (neptunia) wrote :

All worked perfectly in Ubuntu 7.10

Ansus (neptunia) wrote :

With Gusty kernel under Hardy the sound works, but does not work videodriver.

Ansus (neptunia) wrote :

With LiveCD also no sound.

Ansus (neptunia) on 2008-06-17
Changed in linux:
status: New → Confirmed
Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
assignee: ubuntu-kernel-team → ubuntu-audio
Jouni Mettala (jouni-mettala) wrote :

It unfortunately appears that this bug is not yet resolved. The Intrepid Ibex 8.10 Alpha2 is scheduled for release today. It will appear at the following when available: http://www.ubuntu.com/testing/intrepid/alpha2 . It contains the actively developed 2.6.26 Ubuntu kernel. It would be great if you could test this upcoming release via a LiveCD and verify if the issue still exists. If so, please include the appropriate debugging information as outlined at https://wiki.ubuntu.com/DebuggingSoundProblems . Thanks in advance.

Changed in linux:
status: Confirmed → Incomplete
Parker Johnson (parkersworld) wrote :

hi

I have a soundmax card installed on my computer and i have installled linux as a dual partition because i have windows also installed (XP).

when i try to play a cd in hardy, i get sound through my system speaker, and not my speakers (Yamaha YST-MS28)

i have searched high and low for a solution, and nothing has come up.
please help me
i am on my hands and knees
i am trying to make the big switch to linux completely, but this isnt helping
i am a musician, and i record on my pc a lot, but i cant get sound, soooooo...
yeah
you get it

Parker Johnson (parkersworld) wrote :

by the way, my sound card is AD1981B

Robert E. Walsh (robtwalsh286) wrote :
Download full text (3.2 KiB)

1. This is a bug in the hardy release of Ubuntu.
My system has onboard sound - no sound card.
The onboard sound chip is: Device: SoundMAXR ADI AD1988B.

2. I reported this as a bug in hardy because it worked in prior releases
Of Ubuntu.
3. I route the digital output {SPDIF signal] to an external amp.
This works in Windows but not in hardy Ubuntu - a loss of functionality
Which worked in prior releases.
4. TO fix this ASAP, try installing a prior release of Ubuntu.

Robert E. Walsh
Foster City, CA USA 94404-2900
-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Parker Johnson
Sent: Tuesday, August 19, 2008 4:21 PM
To: <email address hidden>
Subject: [Bug 213206] Re: SoundMAX AD1988B- no digital audio

hi

I have a soundmax card installed on my computer and i have installled
linux as a dual partition because i have windows also installed (XP).

when i try to play a cd in hardy, i get sound through my system speaker,
and not my speakers (Yamaha YST-MS28)

i have searched high and low for a solution, and nothing has come up.
please help me
i am on my hands and knees
i am trying to make the big switch to linux completely, but this isnt
helping
i am a musician, and i record on my pc a lot, but i cant get sound,
soooooo...
yeah
you get it

--
SoundMAX AD1988B- no digital audio
https://bugs.launchpad.net/bugs/213206
You received this bug notification because you are a direct subscriber
of the bug.

Status in "alsa-driver" source package in Ubuntu: Triaged
Status in "linux" source package in Ubuntu: Incomplete

Bug description:
Device: SoundMAXR ADI AD1988B 8-channel CODEC

Works in analog mode but not digital (PCM mode). This worked in prior
releases.

Release: Linux M2N-SLI 2.6.24-15-generic #1 SMP Fri Apr 4 03:10:59 UTC 2008
x86_64 GNU/Linux
Ubuntu 8.04 - the Hardy Heron - released in April 2008

00:06.1 Audio device [0403]: nVidia Corporation MCP55 High Definition Audio
[10de:0371] (rev a2)
 Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81f6]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
 Latency: 0 (500ns min, 1250ns max)
 Interrupt: pin B routed to IRQ 20
 Region 0: Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: [44] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+
Queue=0/0 Enable-
  Address: 0000000000000000 Data: 0000
  Masking: 00000000 Pending: 00000000
 Capabilities: [6c] HyperTransport: MSI Mapping

 dpkg -s linux-ubuntu-modules-$(uname -r)
Package: linux-ubuntu-modules-2.6.24-15-generic
Status: install ok installed
Priority: optional
Section: base
Installed-Size: 17316
Maintainer: Ubuntu Kernel Team <email address hidden>
Architecture: amd64
Source: linux-ubuntu-modules-2.6.24
Version: 2.6.24-15.20
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-15-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modu...

Read more...

David J Bush (twixt) wrote :

Hi,

I would like to add my voice to the call for fixing this bug. I lost sound when I upgraded to Kubuntu 8.04. I have the latest version of linux-backports-modules-generic, 2.6.22.15.

david@Achernar:~$ sudo lshw -C sound
[sudo] password for david:
*-multimedia UNCLAIMED
description: Multimedia controller
product: PCI2040 PCI to DSP Bridge Controller
vendor: Texas Instruments
physical id: 6
bus info: pci@0000:01:06.0
version: 00
width: 32 bits
clock: 33MHz
capabilities: pm hotswap cap_list
configuration: latency=0
*-multimedia
description: Audio device
product: MCP55 High Definition Audio
vendor: nVidia Corporation
physical id: 6.1
bus info: pci@0000:00:06.1
version: a2
width: 32 bits
clock: 66MHz
capabilities: pm msi ht bus_master cap_list
configuration: driver=HDA Intel latency=0 maxlatency=5 mingnt=2 module=snd_hda_intel
david@Achernar:~$

I should add that I am running 32-bit Kubuntu on a dual core amd-64 machine.

Thanks for your hard work!

teresa (teresadd1-0) wrote :

I am still having problems fixing my volume control, Is there any way to do it remotely?

----- Original Message ----
From: David J Bush <email address hidden>
To: <email address hidden>
Sent: Saturday, August 23, 2008 4:17:43 PM
Subject: [Bug 213206] Re: SoundMAX AD1988B- no digital audio

Hi,

I would like to add my voice to the call for fixing this bug. I lost
sound when I upgraded to Kubuntu 8.04. I have the latest version of
linux-backports-modules-generic, 2.6.22.15.

david@Achernar:~$ sudo lshw -C sound
[sudo] password for david:
*-multimedia UNCLAIMED
description: Multimedia controller
product: PCI2040 PCI to DSP Bridge Controller
vendor: Texas Instruments
physical id: 6
bus info: pci@0000:01:06.0
version: 00
width: 32 bits
clock: 33MHz
capabilities: pm hotswap cap_list
configuration: latency=0
*-multimedia
description: Audio device
product: MCP55 High Definition Audio
vendor: nVidia Corporation
physical id: 6.1
bus info: pci@0000:00:06.1
version: a2
width: 32 bits
clock: 66MHz
capabilities: pm msi ht bus_master cap_list
configuration: driver=HDA Intel latency=0 maxlatency=5 mingnt=2 module=snd_hda_intel
david@Achernar:~$

I should add that I am running 32-bit Kubuntu on a dual core amd-64
machine.

Thanks for your hard work!

--
SoundMAX AD1988B- no digital audio
https://bugs.launchpad.net/bugs/213206
You received this bug notification because you are a member of Ubuntu
Audio Team, which is a bug assignee.

rihasant (riku.hs) wrote :

Hi guys,

Have you tried to adjust the volume slider marked as IEC958 or IEC958 Capture (they are the same...). This can be done from volume control application, just remember to choose alsa mixer. This worked for me, and I have Asus M2N-SLI Deluxe motherboard (which in my knowledge uses ADI AD1988 chip).

I get sound through coaxial and optical. Oh, and I'm using latest hardy (2.6.24-21-generic).

Jonathan Dukes (jonathanwex) wrote :

Yes, this works with 2.6.24-21-generic, also with M2N-SLI Deluxe.

Thanks.

Robert E. Walsh (robtwalsh286) wrote :

What works? which aspect?

The original bug filed reported that Heron failed to send
digital output on this motherboard from ASUS: M2N-SLI Deluxe.
The onboard audio controller is listed in the poriginal bug report.
On Mon, 2008-08-25 at 16:23, Jonathan Dukes wrote:
> Yes, this works with 2.6.24-21-generic, also with M2N-SLI Deluxe.
>
> Thanks.
>
> --
> SoundMAX AD1988B- no digital audio
> https://bugs.launchpad.net/bugs/213206
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “alsa-driver” source package in Ubuntu: Triaged
> Status in “linux” source package in Ubuntu: Incomplete
>
> Bug description:
> Device: SoundMAX® ADI AD1988B 8-channel CODEC
>
> Works in analog mode but not digital (PCM mode). This worked in prior releases.
>
> Release: Linux M2N-SLI 2.6.24-15-generic #1 SMP Fri Apr 4 03:10:59 UTC 2008 x86_64 GNU/Linux
> Ubuntu 8.04 - the Hardy Heron - released in April 2008
>
> 00:06.1 Audio device [0403]: nVidia Corporation MCP55 High Definition Audio [10de:0371] (rev a2)
> Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81f6]
> Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
> Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
> Latency: 0 (500ns min, 1250ns max)
> Interrupt: pin B routed to IRQ 20
> Region 0: Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
> Capabilities: [44] Power Management version 2
> Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold+)
> Status: D0 PME-Enable- DSel=0 DScale=0 PME-
> Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Queue=0/0 Enable-
> Address: 0000000000000000 Data: 0000
> Masking: 00000000 Pending: 00000000
> Capabilities: [6c] HyperTransport: MSI Mapping
>
> dpkg -s linux-ubuntu-modules-$(uname -r)
> Package: linux-ubuntu-modules-2.6.24-15-generic
> Status: install ok installed
> Priority: optional
> Section: base
> Installed-Size: 17316
> Maintainer: Ubuntu Kernel Team <email address hidden>
> Architecture: amd64
> Source: linux-ubuntu-modules-2.6.24
> Version: 2.6.24-15.20
> Provides: ndiswrapper-modules-1.9
> Depends: linux-image-2.6.24-15-generic
> Pre-Depends: dpkg (>= 1.10.24)
> Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
> This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on x86/x86_64.

Parker Johnson (parkersworld) wrote :

Wahoo!!

P-diZzle
KeEp iT pHreSh

On Aug 25, 2008, at 4:23 PM, Jonathan Dukes <email address hidden>
wrote:

> Yes, this works with 2.6.24-21-generic, also with M2N-SLI Deluxe.
>
> Thanks.
>
> --
> SoundMAX AD1988B- no digital audio
> https://bugs.launchpad.net/bugs/213206
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “alsa-driver” source package in Ubuntu: Triaged
> Status in “linux” source package in Ubuntu: Incomplete
>
> Bug description:
> Device: SoundMAX® ADI AD1988B 8-channel CODEC
>
> Works in analog mode but not digital (PCM mode). This worked in
> prior releases.
>
> Release: Linux M2N-SLI 2.6.24-15-generic #1 SMP Fri Apr 4 03:10:59
> UTC 2008 x86_64 GNU/Linux
> Ubuntu 8.04 - the Hardy Heron - released in April 2008
>
> 00:06.1 Audio device [0403]: nVidia Corporation MCP55 High
> Definition Audio [10de:0371] (rev a2)
> Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81f6]
> Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
> ParErr- Stepping- SERR- FastB2B-
> Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort-
> <TAbort- <MAbort- >SERR- <PERR-
> Latency: 0 (500ns min, 1250ns max)
> Interrupt: pin B routed to IRQ 20
> Region 0: Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
> Capabilities: [44] Power Management version 2
> Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
> PME(D0-,D1-,D2-,D3hot+,D3cold+)
> Status: D0 PME-Enable- DSel=0 DScale=0 PME-
> Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+
> Queue=0/0 Enable-
> Address: 0000000000000000 Data: 0000
> Masking: 00000000 Pending: 00000000
> Capabilities: [6c] HyperTransport: MSI Mapping
>
> dpkg -s linux-ubuntu-modules-$(uname -r)
> Package: linux-ubuntu-modules-2.6.24-15-generic
> Status: install ok installed
> Priority: optional
> Section: base
> Installed-Size: 17316
> Maintainer: Ubuntu Kernel Team <email address hidden>
> Architecture: amd64
> Source: linux-ubuntu-modules-2.6.24
> Version: 2.6.24-15.20
> Provides: ndiswrapper-modules-1.9
> Depends: linux-image-2.6.24-15-generic
> Pre-Depends: dpkg (>= 1.10.24)
> Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/
> x86_64
> This package contains modules supplied by Ubuntu for Linux kernel
> 2.6.24 on x86/x86_64.

Jonathan Dukes (jonathanwex) wrote :

Robert E. Walsh wrote:
> What works? which aspect?

Oops, I ommitted a quote from my comment.

> Have you tried to adjust the volume slider marked as IEC958 or IEC958
> Capture (they are the same...). This can be done from volume control
> application, just remember to choose alsa mixer. This worked for me,
> and I have Asus M2N-SLI Deluxe motherboard (which in my knowledge
> uses ADI AD1988 chip).
>
> I get sound through coaxial and optical. Oh, and I'm using latest
> hardy (2.6.24-21-generic).

The IEC958 volume slider is available with 2.6.24-21-generic but needs
to be manually set to a non-zero value. After doing this Hardy Heron
will send digital output to the onboard AD1988B controller. I've only
verified optical output.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Parker Johnson (parkersworld) wrote :
Download full text (3.4 KiB)

Ooooo, a new distro
How much fun

Sent from my iPod

On Aug 28, 2008, at 11:04 AM, Leann Ogasawara <email address hidden> wrote:

> The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for
> the
> upcoming Intrepid Ibex 8.10 release. As a result, the kernel team
> would
> appreciate it if you could please test this newer 2.6.27 Ubuntu
> kernel.
> There are one of two ways you should be able to test:
>
> 1) If you are comfortable installing packages on your own, the linux-
> image-2.6.27-* package is currently available for you to install and
> test.
>
> --or--
>
> 2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer
> 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4.
> Please watch http://www.ubuntu.com/testing for Alpha5 to be announced.
> You should then be able to test via a LiveCD.
>
> Please let us know immediately if this newer 2.6.27 kernel resolves
> the
> bug reported here or if the issue remains. More importantly, please
> open a new bug report for each new bug/regression introduced by the
> 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also,
> please
> specifically note if the issue does or does not appear in the 2.6.26
> kernel. Thanks again, we really appreicate your help and feedback.
>
> ** Tags added: cft-2.6.27
>
> --
> SoundMAX AD1988B- no digital audio
> https://bugs.launchpad.net/bugs/213206
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “alsa-driver” source package in Ubuntu: Triaged
> Status in “linux” source package in Ubuntu: Incomplete
>
> Bug description:
> Device: SoundMAX® ADI AD1988B 8-channel CODEC
>
> Works in analog mode but not digital (PCM mode). This worked in
> prior releases.
>
> Release: Linux M2N-SLI 2.6.24-15-generic #1 SMP Fri Apr 4 03:10:59
> UTC 2008 x86_64 GNU/Linux
> Ubuntu 8.04 - the Hardy Heron - released in April 2008
>
> 00:06.1 Audio device [0403]: nVidia Corporation MCP55 High
> Definition Audio [10de:0371] (rev a2)
> Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81f6]
> Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
> ParErr- Stepping- SERR- FastB2B-
> Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort-
> <TAbort- <MAbort- >SERR- <PERR-
> Latency: 0 (500ns min, 1250ns max)
> Interrupt: pin B routed to IRQ 20
> Region 0: Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
> Capabilities: [44] Power Management version 2
> Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
> PME(D0-,D1-,D2-,D3hot+,D3cold+)
> Status: D0 PME-Enable- DSel=0 DScale=0 PME-
> Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+
> Queue=0/0 Enable-
> Address: 0000000000000000 Data: 0000
> Masking: 00000000 Pending: 00000000
> Capabilities: [6c] HyperTransport: MSI Mapping
>
> dpkg -s linux-ubuntu-modules-$(uname -r)
> Package: linux-ubuntu-modules-2.6.24-15-generic
> Status: install ok installed
> Priority: optional
> Section: base
> Installed-Size: 17316
> Maintainer: Ubuntu Kernel Team <email address hidden>
> Architecture: amd64
> Source: linux-ubuntu-modules-2.6.24
> Version:...

Read more...

Daniel T Chen (crimsun) wrote :

Supported in 8.10 alpha 6; see patch_analog.c::ad1988_cfg_tbl[]:

SND_PCI_QUIRK(0x1043, 0x81f6, "Asus M2N-SLI", AD1988_6STACK_DIG),

Changed in alsa-driver:
status: Triaged → Won't Fix
Changed in linux:
status: Incomplete → Fix Released
Robert E. Walsh (robtwalsh286) wrote :

This message is indecipherable to me.
What message am I supposed to be getting here?
Is it fixed? Or not?
If so, when? In what release?
The rest is jibberish.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Daniel T Chen
Sent: Tuesday, September 23, 2008 2:31 PM
To: <email address hidden>
Subject: [Bug 213206] Re: SoundMAX AD1988B- no digital audio

Supported in 8.10 alpha 6; see patch_analog.c::ad1988_cfg_tbl[]:

SND_PCI_QUIRK(0x1043, 0x81f6, "Asus M2N-SLI", AD1988_6STACK_DIG),

** Changed in: alsa-driver (Ubuntu)
       Status: Triaged => Won't Fix

** Changed in: linux (Ubuntu)
       Status: Incomplete => Fix Released

--
SoundMAX AD1988B- no digital audio
https://bugs.launchpad.net/bugs/213206
You received this bug notification because you are a direct subscriber
of the bug.

Status in "alsa-driver" source package in Ubuntu: Won't Fix
Status in "linux" source package in Ubuntu: Fix Released

Bug description:
Device: SoundMAXR ADI AD1988B 8-channel CODEC

Works in analog mode but not digital (PCM mode). This worked in prior
releases.

Release: Linux M2N-SLI 2.6.24-15-generic #1 SMP Fri Apr 4 03:10:59 UTC 2008
x86_64 GNU/Linux
Ubuntu 8.04 - the Hardy Heron - released in April 2008

00:06.1 Audio device [0403]: nVidia Corporation MCP55 High Definition Audio
[10de:0371] (rev a2)
 Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81f6]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
 Latency: 0 (500ns min, 1250ns max)
 Interrupt: pin B routed to IRQ 20
 Region 0: Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: [44] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+
Queue=0/0 Enable-
  Address: 0000000000000000 Data: 0000
  Masking: 00000000 Pending: 00000000
 Capabilities: [6c] HyperTransport: MSI Mapping

 dpkg -s linux-ubuntu-modules-$(uname -r)
Package: linux-ubuntu-modules-2.6.24-15-generic
Status: install ok installed
Priority: optional
Section: base
Installed-Size: 17316
Maintainer: Ubuntu Kernel Team <email address hidden>
Architecture: amd64
Source: linux-ubuntu-modules-2.6.24
Version: 2.6.24-15.20
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-15-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
x86/x86_64.

Parker Johnson (parkersworld) wrote :
Download full text (5.1 KiB)

Exactly
Thank you

Sent from my iPod

On Sep 23, 2008, at 9:29 PM, "Robert E. Walsh"
<email address hidden> wrote:

> This message is indecipherable to me.
> What message am I supposed to be getting here?
> Is it fixed? Or not?
> If so, when? In what release?
> The rest is jibberish.
>
> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf
> Of
> Daniel T Chen
> Sent: Tuesday, September 23, 2008 2:31 PM
> To: <email address hidden>
> Subject: [Bug 213206] Re: SoundMAX AD1988B- no digital audio
>
> Supported in 8.10 alpha 6; see patch_analog.c::ad1988_cfg_tbl[]:
>
> SND_PCI_QUIRK(0x1043, 0x81f6, "Asus M2N-SLI", AD1988_6STACK_DIG),
>
> ** Changed in: alsa-driver (Ubuntu)
> Status: Triaged => Won't Fix
>
> ** Changed in: linux (Ubuntu)
> Status: Incomplete => Fix Released
>
> --
> SoundMAX AD1988B- no digital audio
> https://bugs.launchpad.net/bugs/213206
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "alsa-driver" source package in Ubuntu: Won't Fix
> Status in "linux" source package in Ubuntu: Fix Released
>
> Bug description:
> Device: SoundMAXR ADI AD1988B 8-channel CODEC
>
> Works in analog mode but not digital (PCM mode). This worked in prior
> releases.
>
> Release: Linux M2N-SLI 2.6.24-15-generic #1 SMP Fri Apr 4 03:10:59
> UTC 2008
> x86_64 GNU/Linux
> Ubuntu 8.04 - the Hardy Heron - released in April 2008
>
> 00:06.1 Audio device [0403]: nVidia Corporation MCP55 High
> Definition Audio
> [10de:0371] (rev a2)
> Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81f6]
> Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
> Stepping- SERR- FastB2B-
> Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort-
> <TAbort- <MAbort- >SERR- <PERR-
> Latency: 0 (500ns min, 1250ns max)
> Interrupt: pin B routed to IRQ 20
> Region 0: Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
> Capabilities: [44] Power Management version 2
> Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
> PME(D0-,D1-,D2-,D3hot+,D3cold+)
> Status: D0 PME-Enable- DSel=0 DScale=0 PME-
> Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+
> Queue=0/0 Enable-
> Address: 0000000000000000 Data: 0000
> Masking: 00000000 Pending: 00000000
> Capabilities: [6c] HyperTransport: MSI Mapping
>
> dpkg -s linux-ubuntu-modules-$(uname -r)
> Package: linux-ubuntu-modules-2.6.24-15-generic
> Status: install ok installed
> Priority: optional
> Section: base
> Installed-Size: 17316
> Maintainer: Ubuntu Kernel Team <email address hidden>
> Architecture: amd64
> Source: linux-ubuntu-modules-2.6.24
> Version: 2.6.24-15.20
> Provides: ndiswrapper-modules-1.9
> Depends: linux-image-2.6.24-15-generic
> Pre-Depends: dpkg (>= 1.10.24)
> Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/
> x86_64
> This package contains modules supplied by Ubuntu for Linux kernel
> 2.6.24 on
> x86/x86_64.
>
> --
> SoundMAX AD1988B- no digital audio
> https://bugs.launchpad.net/bugs/213206
> You received this bug notification because you are a direct subscriber
> of the bug....

Read more...

David J Bush (twixt) wrote :

I just upgraded from 8.04 to Kubuntu 8.10 and I still get no sound.

This is 32-bit Kubuntu, even though my machine is a dual core amd 64.

Here is some terminal output which might be informative:

david@Achernar:~$ sudo lshw -C sound
  *-multimedia UNCLAIMED
       description: Multimedia controller
       product: PCI2040 PCI to DSP Bridge Controller
       vendor: Texas Instruments
       physical id: 6
       bus info: pci@0000:01:06.0
       version: 00
       width: 32 bits
       clock: 33MHz
       capabilities: pm hotswap cap_list
       configuration: latency=0
  *-multimedia
       description: Audio device
       product: MCP55 High Definition Audio
       vendor: nVidia Corporation
       physical id: 6.1
       bus info: pci@0000:00:06.1
       version: a2
       width: 32 bits
       clock: 66MHz
       capabilities: pm msi ht bus_master cap_list
       configuration: driver=HDA Intel latency=0 maxlatency=5 mingnt=2 module=snd_hda_intel
david@Achernar:~$ uname -a
Linux Achernar 2.6.27-8-generic #1 SMP Thu Nov 6 17:33:54 UTC 2008 i686 GNU/Linux
david@Achernar:~$

I would be glad to try to provide further details.

Robert E. Walsh (robtwalsh286) wrote :
Download full text (3.7 KiB)

1. I did get this to work following suggested configurations from the
ubuntu community.
I will follow up with the exact changes in a subsequent email.
2. I am running the 64-bit version of ubuntu although I don't think
that matters
here. 32-bit versus 64-bit is irrelevant to the issue.
3. there is a multimedia group in the ubuntu web support community that
provided useful
suggestions.

Robert Walsh, 60
San Mateo, CA USA

On Wed, 2008-11-19 at 13:10, David J Bush wrote:
> I just upgraded from 8.04 to Kubuntu 8.10 and I still get no sound.
>
> This is 32-bit Kubuntu, even though my machine is a dual core amd 64.
>
> Here is some terminal output which might be informative:
>
> david@Achernar:~$ sudo lshw -C sound
> *-multimedia UNCLAIMED
> description: Multimedia controller
> product: PCI2040 PCI to DSP Bridge Controller
> vendor: Texas Instruments
> physical id: 6
> bus info: pci@0000:01:06.0
> version: 00
> width: 32 bits
> clock: 33MHz
> capabilities: pm hotswap cap_list
> configuration: latency=0
> *-multimedia
> description: Audio device
> product: MCP55 High Definition Audio
> vendor: nVidia Corporation
> physical id: 6.1
> bus info: pci@0000:00:06.1
> version: a2
> width: 32 bits
> clock: 66MHz
> capabilities: pm msi ht bus_master cap_list
> configuration: driver=HDA Intel latency=0 maxlatency=5 mingnt=2 module=snd_hda_intel
> david@Achernar:~$ uname -a
> Linux Achernar 2.6.27-8-generic #1 SMP Thu Nov 6 17:33:54 UTC 2008 i686 GNU/Linux
> david@Achernar:~$
>
> I would be glad to try to provide further details.
>
> --
> SoundMAX AD1988B- no digital audio
> https://bugs.launchpad.net/bugs/213206
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in ?alsa-driver? source package in Ubuntu: Won't Fix
> Status in ?linux? source package in Ubuntu: Fix Released
>
> Bug description:
> Device: SoundMAX? ADI AD1988B 8-channel CODEC
>
> Works in analog mode but not digital (PCM mode). This worked in prior releases.
>
> Release: Linux M2N-SLI 2.6.24-15-generic #1 SMP Fri Apr 4 03:10:59 UTC 2008 x86_64 GNU/Linux
> Ubuntu 8.04 - the Hardy Heron - released in April 2008
>
> 00:06.1 Audio device [0403]: nVidia Corporation MCP55 High Definition Audio [10de:0371] (rev a2)
> Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81f6]
> Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
> Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
> Latency: 0 (500ns min, 1250ns max)
> Interrupt: pin B routed to IRQ 20
> Region 0: Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
> Capabilities: [44] Power Management version 2
> Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold+)
> Status: D0 PME-Enable- DSel=0 DScale=0 PME-
> Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Queue=0/0 Enable-
> Address: 0000000000000000 Data: 0000
> Masking: 00000000 Pending: 00000000
> Capabilities: [6c] HyperTransport: MSI Mapping
>
> ...

Read more...

nitemare89 (nitemare89) wrote :

I booted ubuntu 8.04 from the live cd, and i get no sound.

Changed in linux (Ubuntu):
status: Fix Released → Incomplete
tomeq_ (t-glowacki) wrote :

It seems that the problem is not solved completly. I'm using 9.10 x64 version and getting no sound on coaxial/optical outputs. Analog work just fine.

I'm using Asus P5B Deluxe based pc with AD1988 audio codec.

I'm using Asus P5W64 WS Pro motherboard. It comes with integrated SoundMax ADI1988 Audio chipset.

Analog outputs works with this:

00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 01)
Subsystem: ASUSTeK Computer Inc. Device 81f6
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- ...

but the output levels are poor and sound distortion increases rapidly on max levels.

As tomeq_, I cant get no sound out of digital outputs.

David Henningsson (diwic) wrote :

Robert, is this still a problem in the latest Ubuntu release (10.04)?
Others, please file separate bugs as you're not guaranteed to have the exact same hardware.

Robert E. Walsh (robtwalsh286) wrote :

No, I don't think so.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of David Henningsson
Sent: Wednesday, August 11, 2010 5:18 AM
To: <email address hidden>
Subject: [Bug 213206] Re: SoundMAX AD1988B- no digital audio

Robert, is this still a problem in the latest Ubuntu release (10.04)?
Others, please file separate bugs as you're not guaranteed to have the exact same hardware.

--
SoundMAX AD1988B- no digital audio
https://bugs.launchpad.net/bugs/213206
You received this bug notification because you are a direct subscriber of the bug.

Status in “alsa-driver” package in Ubuntu: Won't Fix Status in “linux” package in Ubuntu: Incomplete

Bug description:
Device: SoundMAX® ADI AD1988B 8-channel CODEC

Works in analog mode but not digital (PCM mode). This worked in prior releases.

Release: Linux M2N-SLI 2.6.24-15-generic #1 SMP Fri Apr 4 03:10:59 UTC 2008 x86_64 GNU/Linux Ubuntu 8.04 - the Hardy Heron - released in April 2008

00:06.1 Audio device [0403]: nVidia Corporation MCP55 High Definition Audio [10de:0371] (rev a2)
 Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81f6]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0 (500ns min, 1250ns max)
 Interrupt: pin B routed to IRQ 20
 Region 0: Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: [44] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Queue=0/0 Enable-
  Address: 0000000000000000 Data: 0000
  Masking: 00000000 Pending: 00000000
 Capabilities: [6c] HyperTransport: MSI Mapping

 dpkg -s linux-ubuntu-modules-$(uname -r)
Package: linux-ubuntu-modules-2.6.24-15-generic
Status: install ok installed
Priority: optional
Section: base
Installed-Size: 17316
Maintainer: Ubuntu Kernel Team <email address hidden>
Architecture: amd64
Source: linux-ubuntu-modules-2.6.24
Version: 2.6.24-15.20
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-15-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on x86/x86_64.

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/213206/+subscribe

David Henningsson (diwic) wrote :

Right, so I'm assuming it is fixed, and if someone else still has problems, please file new bugs for those. Thanks!

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Pete Van Echaute (pvanechaute) wrote :
Download full text (3.2 KiB)

I am still seeing this bug. I have just installed maverick (10.10) with the following kernel...

# uname -a
Linux cerebellum 2.6.35-25-generic #44-Ubuntu SMP Fri Jan 21 17:40:44 UTC 2011 x86_64 GNU/Linux

When I run the "Sound Preferences" applet, the hardware profiles available do not list "Digital 5.1 output" or something to that effect. My motherboard is Asus P5E3 which does have the ADI® AD1988B 8-channel High Definition Audio CODEC. Here is the output from "lspci -vnn"...

00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 02)
 Subsystem: ASUSTeK Computer Inc. Device [1043:8277]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 32 bytes
 Interrupt: pin A routed to IRQ 46
 Region 0: Memory at fe7f8000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: [50] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
  Address: 00000000fee0100c Data: 41a1
 Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
   ExtTag- RBE- FLReset+
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
   MaxPayload 128 bytes, MaxReadReq 128 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
  LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
   ClockPM- Surprise- LLActRep- BwNot-
  LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
 Capabilities: [100 v1] Virtual Channel
  Caps: LPEVC=0 RefClk=100ns PATEntryBits=1
  Arb: Fixed- WRR32- WRR64- WRR128-
  Ctrl: ArbSelect=Fixed
  Status: InProgress-
  VC0: Caps: PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
   Arb: Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
   Ctrl: Enable+ ID=0 ArbSelect=Fixed TC/VC=01
   Status: NegoPending- InProgress-
  VC1: Caps: PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
   Arb: Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
   Ctrl: Enable+ ID=1 ArbSelect=Fixed TC/VC=80
   Status: NegoPending- InProgress-
 Capabilities: [130 v1] Root Complex Link
  Desc: PortNumber=0f ComponentID=00 EltType=Config
  Link0: Desc: TargetPort=00 TargetComponent=00 AssocRCRB- LinkType=MemMapped LinkValid+
   Addr: 00000000fed1c000
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

As this is my HTPC for my living room that I have brought down to rebuild into a Linux box, my family isn't happy with me right now. I am going to try and rebuild a new kernel and see if there is a config variable or another module I can load. But I hope I'm not stuck rebuilding this back into a Windows box.

I noticed a request to make this a new bug was last posted if anothe...

Read more...

Robert E. Walsh (robtwalsh286) wrote :
Download full text (5.7 KiB)

I have 2 Ubuntu installations now.
I will follow up with an answer

Robert Walsh, 62
San Mateo, CA USA

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Pete Van Echaute
Sent: Friday, February 04, 2011 10:54 AM
To: <email address hidden>
Subject: [Bug 213206] Re: SoundMAX AD1988B- no digital audio

I am still seeing this bug. I have just installed maverick (10.10) with the following kernel...

# uname -a
Linux cerebellum 2.6.35-25-generic #44-Ubuntu SMP Fri Jan 21 17:40:44 UTC 2011 x86_64 GNU/Linux

When I run the "Sound Preferences" applet, the hardware profiles available do not list "Digital 5.1 output" or something to that effect.
My motherboard is Asus P5E3 which does have the ADI® AD1988B 8-channel High Definition Audio CODEC. Here is the output from "lspci -vnn"...

00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 02)
 Subsystem: ASUSTeK Computer Inc. Device [1043:8277]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 32 bytes
 Interrupt: pin A routed to IRQ 46
 Region 0: Memory at fe7f8000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: [50] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
  Address: 00000000fee0100c Data: 41a1
 Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
   ExtTag- RBE- FLReset+
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
   MaxPayload 128 bytes, MaxReadReq 128 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
  LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
   ClockPM- Surprise- LLActRep- BwNot-
  LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
 Capabilities: [100 v1] Virtual Channel
  Caps: LPEVC=0 RefClk=100ns PATEntryBits=1
  Arb: Fixed- WRR32- WRR64- WRR128-
  Ctrl: ArbSelect=Fixed
  Status: InProgress-
  VC0: Caps: PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
   Arb: Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
   Ctrl: Enable+ ID=0 ArbSelect=Fixed TC/VC=01
   Status: NegoPending- InProgress-
  VC1: Caps: PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
   Arb: Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
   Ctrl: Enable+ ID=1 ArbSelect=Fixed TC/VC=80
   Status: NegoPending- InProgress-
 Capabilities: [130 v1] Root Complex Link
  Desc: PortNumber=0f ComponentID=00 EltType=Config
  Link0: Desc: TargetPort=00 TargetComponent=00 AssocRCRB- LinkType=MemMapped LinkValid+
   Addr: 00000000fed1c000
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

As this is my HTPC for my liv...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers